<?php
/**
* 2015 Skrill
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
*
*  @author    Skrill <contact@skrill.com>
*  @copyright 2015 Skrill
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of Skrill
*/

class SkrillPaymentStatus extends oxUBase
{
    /**
     * this function run when we access the controller.
     */
    public function render()
    {
        $paymentResponse = SkrillCore::getRequestParametersFromGateway();

        SkrillLogger::set()->info('Skrill - status url get payment response : '.json_encode($paymentResponse));

        $isPaymentResponseValid = SkrillCore::isPaymentResponseValid($paymentResponse);
        SkrillLogger::set()->info('Skrill - is payment response valid : '. $isPaymentResponseValid);
        if (!$isPaymentResponseValid) {
            $paymentResponse['status'] = SkrillCore::FRAUDSTATUS;
        }

        $existingPaymentResponse = SkrillCore::getPaymentResponseByTransactionId($paymentResponse['transaction_id']);

        SkrillLogger::set()->info('Skrill - get payment response from database : '.
            json_encode($existingPaymentResponse));

        $oxid = oxRegistry::getConfig()->getRequestParameter('oxid');

        SkrillCore::updateExistingOrderStatus($oxid, $paymentResponse);
        if (empty($existingPaymentResponse)) {
            SkrillCore::addPaymentLog($oxid, $paymentResponse);
            if (SkrillCore::isOxidSix()) {
                //SkrillEmailOxidSix::sendNewOrderStatusEmail($oxid, $paymentResponse['status']);
            } else {
                SkrillEmail::sendNewOrderStatusEmail($oxid, $paymentResponse['status']);
            }
        } else {
            SkrillCore::updatePaymentLog($oxid, $paymentResponse);
            if ($paymentResponse['status'] == SkrillCore::PROCESSEDSTATUS) {
                if (SkrillCore::isOxidSix()) {
                    //SkrillEmailOxidSix::sendNewOrderStatusEmail($oxid, $paymentResponse['status']);
                } else {
                    SkrillEmail::sendNewOrderStatusEmail($oxid, $paymentResponse['status']);
                }
            }
        }

        die('ok');
    }
}
