<?php
/**
 * Skrill Plugin Activation
 *
 * The Class for Process Skrill Payment Gateways
 * Copyright (c) Skrill
 *
 * @class   skrillactivation
 * @package Skrill/Classes
 * @located at /controllers/admin
 */
class SkrillDb
{
    protected $oxidObject;

    public static function getInstance()
    {
        return new self;
    }

    public static function escapeString($string)
    {
        if (SkrillOxidVersion::isOld()) {
            return oxDb::getInstance()->escapeString($string);
        } else {
            return substr(oxDb::getDb()->quote($string), 1, -1);
        }
    }

    public function select($sQuery)
    {
        if (SkrillOxidVersion::isOld()) {
            $this->oxidObject = oxDb::getDb()->Execute($sQuery);
        } else {
            $this->oxidObject = \OxidEsales\Eshop\Core\DatabaseProvider::getDb()->select($sQuery);
        }
        return $this;
    }

    public function count()
    {
        if (SkrillOxidVersion::isOld()) {
            return $this->oxidObject->recordCount();
        } else {
            return $this->oxidObject->count();
        }
    }
}
