<?php
/**
 * Skrill Order Number Reservations
 *
 * The Class for Process Skrill Payment Gateways
 * Copyright (c) Skrill
 *
 * @class   SkrillOrderNumberReservation
 * @package Skrill/Classes
 * @located at /models
 */
class SkrillOrderNumberReservation extends oxBase
{

    /**
     * Table name
     *
     * @var string
     */
    protected $_sCoreTable = 'skrill__order_number_reservations';

    /**
     * Current class name
     *
     * @var string
     */
    protected $_sClassName = 'SkrillOrderNumberReservation';

    /**
     * Get reservation key
     *
     * @param  integer $orderNr order number
     * @return string
     */
    public static function getReservationKey($orderNr)
    {
        if (oxRegistry::getConfig()->getConfigParam('blSeparateNumbering')) {
            return $orderNr . '-' . oxRegistry::getConfig()->getShopId();
        }
        return $orderNr;
    }
}
